# txpool\_content

Returns a list of pending and queued transactions.

This method will use `500` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

`None`

## Returns

A map of arrays of `pending` and `queued` transactions with the following fields:

* `blockHash` - Hash of block the transaction is in, null since its pending
* `blockNumber` - hexadecimal block number of the block the transaction is in, null since pending
* `from` - Address of the sender
* `gas` - The total amount of gas used in the transaction
* `gasPrice` - The total amount in wei the sender is willing to pay for the transaction
* `maxFeePerGas` - The maximum amount of gas willing to be paid for the transaction
* `maxPriorityFeePerGas` - The maximum amount of gas to be included as a tip to the miner
* `hash` - Hash of the transaction
* `input` - Encoded transaction input data
* `nonce` - Number of transactions the sender has sent till now
* `v` - hexadecimal ECDSA recovery id
* `r` - ECDSA signature r
* `s` - ECDSA signature s
* `to` - Address of the receiver
* `transactionIndex` - hexadecimal integer of the transactions index position in the block, null since pending
* `type` - A number between 0 and 0x7f, for a total of 128 possible transaction types.
* `value` - hexadecimal value transferred

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "pending": {
      "0x00001ef108843aB7c937974c54c42360da8F9000": {
        "142": {
          "blockHash": null,
          "blockNumber": null,
          "from": "0x00001ef108843ab7c937974c54c42360da8f9000",
          "gas": "0x13c26",
          "gasPrice": "0x2540be400",
          "maxFeePerGas": "0x2540be400",
          "maxPriorityFeePerGas": "0x59682f00",
          "hash": "0xd9bb02c58f74223f57e161fb9188d2fd9b94bf8b05d312d88d92d837a045c957",
          "input": "0xa9059cbb000000000000000000000000f3a0f97fffc479c1d14b2962a72e30b8fe56d3fa00000000000000000000000000000000000000000000000120db4c072dcccb41",
          "nonce": "0x8e",
          "to": "0xde5ed76e7c05ec5e4572cfc88d1acea165109e44",
          "transactionIndex": null,
          "value": "0x0",
          "type": "0x2",
          "accessList": [],
          "chainId": "0x1",
          "v": "0x1",
          "r": "0xad788f4db7f3731259465e677118a78dab936faae6aca9389e8cebe30d20c0de",
          "s": "0x2c0372340f9c36151da705c900166d11aa7a2de96fc5f7ef52477a3a8b6c0a56"
        }
      },
      ...
    },
    "queued": {
      "0x002554D47976344a0C9aFD59214958c4fAC3862D": {
        "1": {
          "blockHash": null,
          "blockNumber": null,
          "from": "0x002554d47976344a0c9afd59214958c4fac3862d",
          "gas": "0x7e313",
          "gasPrice": "0xa17907a6e",
          "maxFeePerGas": "0xa17907a6e",
          "maxPriorityFeePerGas": "0x540ae480",
          "hash": "0xbd0543bdf69e77ba255bb8020a5dc027077f51459d56debd91893d05ddcce45f",
          "input": "0xddd81f82",
          "nonce": "0x1",
          "to": "0xa5409ec958c83c3f309868babaca7c86dcb077c1",
          "transactionIndex": null,
          "value": "0x0",
          "type": "0x2",
          "accessList": [],
          "chainId": "0x1",
          "v": "0x1",
          "r": "0xe214aae69c53a2ecc2fce27bdda9d456a78221ce8c9d656f7a998a7aaca8f20f",
          "s": "0x1c1b4f423ac655386db471594e10eae2565cae708b53fdd1e636eb042917a13f"
        }
      },
      ...
    }
  }
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.polygon.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"method":"txpool_content","id":1,"jsonrpc":"2.0"}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://amoy.polygon.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"method":"txpool_content","id":1,"jsonrpc":"2.0"}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/polygon/execution-api/txpool_content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
